public inbox for ltp@lists.linux.it
 help / color / mirror / Atom feed
* [LTP] [PATCH] containers/netns/netns_sysfs.sh: add kernel version check
@ 2016-08-30  8:01 Guangwen Feng
  2016-10-25  7:24 ` Guangwen Feng
                   ` (2 more replies)
  0 siblings, 3 replies; 9+ messages in thread
From: Guangwen Feng @ 2016-08-30  8:01 UTC (permalink / raw)
  To: ltp

Sysfs is not mount namespace aware until applying following kernel
patches in mainline kernel v2.6.35:

a1b3f59 net: Expose all network devices in a namespaces in sysfs
417daa1 hotplug: netns aware uevent_helper
d6523dd net/sysfs: Fix the bitrot in network device kobject namespace support
608b4b9 netns: Teach network device kobjects which namespace they are in

Signed-off-by: Guangwen Feng <fenggw-fnst@cn.fujitsu.com>
Tested-by: Matus Marhefka <mmarhefk@redhat.com>
---
 testcases/kernel/containers/netns/netns_sysfs.sh | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/testcases/kernel/containers/netns/netns_sysfs.sh b/testcases/kernel/containers/netns/netns_sysfs.sh
index 290cef8..b3a87ed 100644
--- a/testcases/kernel/containers/netns/netns_sysfs.sh
+++ b/testcases/kernel/containers/netns/netns_sysfs.sh
@@ -29,6 +29,11 @@ DUMMYDEV_HOST="dummy_test0"
 DUMMYDEV="dummy_test1"
 . test.sh
 
+tst_kvercmp 2 6 35
+if [ $? -eq 0 ]; then
+	tst_brkm TCONF "sysfs is not mount namespace aware for kernels older than 2.6.35"
+fi
+
 setns_check
 if [ $? -eq 32 ]; then
 	tst_brkm TCONF "setns not supported"
-- 
1.8.4.2




^ permalink raw reply related	[flat|nested] 9+ messages in thread

end of thread, other threads:[~2016-11-01 14:30 UTC | newest]

Thread overview: 9+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2016-08-30  8:01 [LTP] [PATCH] containers/netns/netns_sysfs.sh: add kernel version check Guangwen Feng
2016-10-25  7:24 ` Guangwen Feng
2016-10-26 18:17 ` Jiri Jaburek
2016-10-27  7:55   ` Guangwen Feng
2016-10-31  9:28   ` Cyril Hrubis
2016-10-31 14:05     ` Jiri Jaburek
2016-10-31 14:36       ` Cyril Hrubis
2016-11-01 14:30       ` Cyril Hrubis
2016-10-31  9:31 ` Cyril Hrubis

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox